From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: linux-kernel@vger.kernel.org
Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>,
stable@vger.kernel.org,
Kaiwan N Billimoria <kaiwan.billimoria@gmail.com>,
Peter Zijlstra <peterz@infradead.org>,
Josh Poimboeuf <jpoimboe@kernel.org>,
Sasha Levin <sashal@kernel.org>
Subject: [PATCH 4.19 095/287] scripts/faddr2line: Fix overlapping text section failures
Date: Mon, 13 Jun 2022 12:08:39 +0200 [thread overview]
Message-ID: <20220613094926.759497486@linuxfoundation.org> (raw)
In-Reply-To: <20220613094923.832156175@linuxfoundation.org>
From: Josh Poimboeuf <jpoimboe@kernel.org>
[ Upstream commit 1d1a0e7c5100d332583e20b40aa8c0a8ed3d7849 ]
There have been some recent reports of faddr2line failures:
$ scripts/faddr2line sound/soundcore.ko sound_devnode+0x5/0x35
bad symbol size: base: 0x0000000000000000 end: 0x0000000000000000
$ ./scripts/faddr2line vmlinux.o enter_from_user_mode+0x24
bad symbol size: base: 0x0000000000005fe0 end: 0x0000000000005fe0
The problem is that faddr2line is based on 'nm', which has a major
limitation: it doesn't know how to distinguish between different text
sections. So if an offset exists in multiple text sections in the
object, it may fail.
Rewrite faddr2line to be section-aware, by basing it on readelf.
Fixes: 67326666e2d4 ("scripts: add script for translating stack dump function offsets")
Reported-by: Kaiwan N Billimoria <kaiwan.billimoria@gmail.com>
Reported-by: Peter Zijlstra <peterz@infradead.org>
Signed-off-by: Josh Poimboeuf <jpoimboe@kernel.org>
Link: https://lore.kernel.org/r/29ff99f86e3da965b6e46c1cc2d72ce6528c17c3.1652382321.git.jpoimboe@kernel.org
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
scripts/faddr2line | 150 +++++++++++++++++++++++++++++----------------
1 file changed, 97 insertions(+), 53 deletions(-)
diff --git a/scripts/faddr2line b/scripts/faddr2line
index a0149db00be7..226c3f559dc5 100755
--- a/scripts/faddr2line
+++ b/scripts/faddr2line
@@ -44,17 +44,6 @@
set -o errexit
set -o nounset
-READELF="${CROSS_COMPILE:-}readelf"
-ADDR2LINE="${CROSS_COMPILE:-}addr2line"
-SIZE="${CROSS_COMPILE:-}size"
-NM="${CROSS_COMPILE:-}nm"
-
-command -v awk >/dev/null 2>&1 || die "awk isn't installed"
-command -v ${READELF} >/dev/null 2>&1 || die "readelf isn't installed"
-command -v ${ADDR2LINE} >/dev/null 2>&1 || die "addr2line isn't installed"
-command -v ${SIZE} >/dev/null 2>&1 || die "size isn't installed"
-command -v ${NM} >/dev/null 2>&1 || die "nm isn't installed"
-
usage() {
echo "usage: faddr2line [--list] <object file> <func+offset> <func+offset>..." >&2
exit 1
@@ -69,6 +58,14 @@ die() {
exit 1
}
+READELF="${CROSS_COMPILE:-}readelf"
+ADDR2LINE="${CROSS_COMPILE:-}addr2line"
+AWK="awk"
+
+command -v ${AWK} >/dev/null 2>&1 || die "${AWK} isn't installed"
+command -v ${READELF} >/dev/null 2>&1 || die "${READELF} isn't installed"
+command -v ${ADDR2LINE} >/dev/null 2>&1 || die "${ADDR2LINE} isn't installed"
+
# Try to figure out the source directory prefix so we can remove it from the
# addr2line output. HACK ALERT: This assumes that start_kernel() is in
# kernel/init.c! This only works for vmlinux. Otherwise it falls back to
@@ -76,7 +73,7 @@ die() {
find_dir_prefix() {
local objfile=$1
- local start_kernel_addr=$(${READELF} -sW $objfile | awk '$8 == "start_kernel" {printf "0x%s", $2}')
+ local start_kernel_addr=$(${READELF} --symbols --wide $objfile | ${AWK} '$8 == "start_kernel" {printf "0x%s", $2}')
[[ -z $start_kernel_addr ]] && return
local file_line=$(${ADDR2LINE} -e $objfile $start_kernel_addr)
@@ -97,86 +94,133 @@ __faddr2line() {
local dir_prefix=$3
local print_warnings=$4
- local func=${func_addr%+*}
+ local sym_name=${func_addr%+*}
local offset=${func_addr#*+}
offset=${offset%/*}
- local size=
- [[ $func_addr =~ "/" ]] && size=${func_addr#*/}
+ local user_size=
+ [[ $func_addr =~ "/" ]] && user_size=${func_addr#*/}
- if [[ -z $func ]] || [[ -z $offset ]] || [[ $func = $func_addr ]]; then
+ if [[ -z $sym_name ]] || [[ -z $offset ]] || [[ $sym_name = $func_addr ]]; then
warn "bad func+offset $func_addr"
DONE=1
return
fi
# Go through each of the object's symbols which match the func name.
- # In rare cases there might be duplicates.
- file_end=$(${SIZE} -Ax $objfile | awk '$1 == ".text" {print $2}')
- while read symbol; do
- local fields=($symbol)
- local sym_base=0x${fields[0]}
- local sym_type=${fields[1]}
- local sym_end=${fields[3]}
-
- # calculate the size
- local sym_size=$(($sym_end - $sym_base))
+ # In rare cases there might be duplicates, in which case we print all
+ # matches.
+ while read line; do
+ local fields=($line)
+ local sym_addr=0x${fields[1]}
+ local sym_elf_size=${fields[2]}
+ local sym_sec=${fields[6]}
+
+ # Get the section size:
+ local sec_size=$(${READELF} --section-headers --wide $objfile |
+ sed 's/\[ /\[/' |
+ ${AWK} -v sec=$sym_sec '$1 == "[" sec "]" { print "0x" $6; exit }')
+
+ if [[ -z $sec_size ]]; then
+ warn "bad section size: section: $sym_sec"
+ DONE=1
+ return
+ fi
+
+ # Calculate the symbol size.
+ #
+ # Unfortunately we can't use the ELF size, because kallsyms
+ # also includes the padding bytes in its size calculation. For
+ # kallsyms, the size calculation is the distance between the
+ # symbol and the next symbol in a sorted list.
+ local sym_size
+ local cur_sym_addr
+ local found=0
+ while read line; do
+ local fields=($line)
+ cur_sym_addr=0x${fields[1]}
+ local cur_sym_elf_size=${fields[2]}
+ local cur_sym_name=${fields[7]:-}
+
+ if [[ $cur_sym_addr = $sym_addr ]] &&
+ [[ $cur_sym_elf_size = $sym_elf_size ]] &&
+ [[ $cur_sym_name = $sym_name ]]; then
+ found=1
+ continue
+ fi
+
+ if [[ $found = 1 ]]; then
+ sym_size=$(($cur_sym_addr - $sym_addr))
+ [[ $sym_size -lt $sym_elf_size ]] && continue;
+ found=2
+ break
+ fi
+ done < <(${READELF} --symbols --wide $objfile | ${AWK} -v sec=$sym_sec '$7 == sec' | sort --key=2)
+
+ if [[ $found = 0 ]]; then
+ warn "can't find symbol: sym_name: $sym_name sym_sec: $sym_sec sym_addr: $sym_addr sym_elf_size: $sym_elf_size"
+ DONE=1
+ return
+ fi
+
+ # If nothing was found after the symbol, assume it's the last
+ # symbol in the section.
+ [[ $found = 1 ]] && sym_size=$(($sec_size - $sym_addr))
+
if [[ -z $sym_size ]] || [[ $sym_size -le 0 ]]; then
- warn "bad symbol size: base: $sym_base end: $sym_end"
+ warn "bad symbol size: sym_addr: $sym_addr cur_sym_addr: $cur_sym_addr"
DONE=1
return
fi
+
sym_size=0x$(printf %x $sym_size)
- # calculate the address
- local addr=$(($sym_base + $offset))
+ # Calculate the section address from user-supplied offset:
+ local addr=$(($sym_addr + $offset))
if [[ -z $addr ]] || [[ $addr = 0 ]]; then
- warn "bad address: $sym_base + $offset"
+ warn "bad address: $sym_addr + $offset"
DONE=1
return
fi
addr=0x$(printf %x $addr)
- # weed out non-function symbols
- if [[ $sym_type != t ]] && [[ $sym_type != T ]]; then
- [[ $print_warnings = 1 ]] &&
- echo "skipping $func address at $addr due to non-function symbol of type '$sym_type'"
- continue
- fi
-
- # if the user provided a size, make sure it matches the symbol's size
- if [[ -n $size ]] && [[ $size -ne $sym_size ]]; then
+ # If the user provided a size, make sure it matches the symbol's size:
+ if [[ -n $user_size ]] && [[ $user_size -ne $sym_size ]]; then
[[ $print_warnings = 1 ]] &&
- echo "skipping $func address at $addr due to size mismatch ($size != $sym_size)"
+ echo "skipping $sym_name address at $addr due to size mismatch ($user_size != $sym_size)"
continue;
fi
- # make sure the provided offset is within the symbol's range
+ # Make sure the provided offset is within the symbol's range:
if [[ $offset -gt $sym_size ]]; then
[[ $print_warnings = 1 ]] &&
- echo "skipping $func address at $addr due to size mismatch ($offset > $sym_size)"
+ echo "skipping $sym_name address at $addr due to size mismatch ($offset > $sym_size)"
continue
fi
- # separate multiple entries with a blank line
+ # In case of duplicates or multiple addresses specified on the
+ # cmdline, separate multiple entries with a blank line:
[[ $FIRST = 0 ]] && echo
FIRST=0
- # pass real address to addr2line
- echo "$func+$offset/$sym_size:"
- local file_lines=$(${ADDR2LINE} -fpie $objfile $addr | sed "s; $dir_prefix\(\./\)*; ;")
- [[ -z $file_lines ]] && return
+ echo "$sym_name+$offset/$sym_size:"
+ # Pass section address to addr2line and strip absolute paths
+ # from the output:
+ local output=$(${ADDR2LINE} -fpie $objfile $addr | sed "s; $dir_prefix\(\./\)*; ;")
+ [[ -z $output ]] && continue
+
+ # Default output (non --list):
if [[ $LIST = 0 ]]; then
- echo "$file_lines" | while read -r line
+ echo "$output" | while read -r line
do
echo $line
done
DONE=1;
- return
+ continue
fi
- # show each line with context
- echo "$file_lines" | while read -r line
+ # For --list, show each line with its corresponding source code:
+ echo "$output" | while read -r line
do
echo
echo $line
@@ -184,12 +228,12 @@ __faddr2line() {
n1=$[$n-5]
n2=$[$n+5]
f=$(echo $line | sed 's/.*at \(.\+\):.*/\1/g')
- awk 'NR>=strtonum("'$n1'") && NR<=strtonum("'$n2'") { if (NR=='$n') printf(">%d<", NR); else printf(" %d ", NR); printf("\t%s\n", $0)}' $f
+ ${AWK} 'NR>=strtonum("'$n1'") && NR<=strtonum("'$n2'") { if (NR=='$n') printf(">%d<", NR); else printf(" %d ", NR); printf("\t%s\n", $0)}' $f
done
DONE=1
- done < <(${NM} -n $objfile | awk -v fn=$func -v end=$file_end '$3 == fn { found=1; line=$0; start=$1; next } found == 1 { found=0; print line, "0x"$1 } END {if (found == 1) print line, end; }')
+ done < <(${READELF} --symbols --wide $objfile | ${AWK} -v fn=$sym_name '$4 == "FUNC" && $8 == fn')
}
[[ $# -lt 2 ]] && usage
--
2.35.1
next prev parent reply other threads:[~2022-06-13 12:00 UTC|newest]
Thread overview: 293+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-13 10:07 [PATCH 4.19 000/287] 4.19.247-rc1 review Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 001/287] binfmt_flat: do not stop relocating GOT entries prematurely on riscv Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 002/287] ALSA: hda/realtek - Fix microphone noise on ASUS TUF B550M-PLUS Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 003/287] USB: serial: option: add Quectel BG95 modem Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 004/287] USB: new quirk for Dell Gen 2 devices Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 005/287] ptrace/xtensa: Replace PT_SINGLESTEP with TIF_SINGLESTEP Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 006/287] ptrace: Reimplement PTRACE_KILL by always sending SIGKILL Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 007/287] btrfs: add "0x" prefix for unsupported optional features Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 008/287] btrfs: repair super block num_devices automatically Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 009/287] drm/virtio: fix NULL pointer dereference in virtio_gpu_conn_get_modes Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 010/287] mwifiex: add mutex lock for call in mwifiex_dfs_chan_sw_work_queue Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 011/287] b43legacy: Fix assigning negative value to unsigned variable Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 012/287] b43: " Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 013/287] ipw2x00: Fix potential NULL dereference in libipw_xmit() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 014/287] ipv6: fix locking issues with loops over idev->addr_list Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 015/287] fbcon: Consistently protect deferred_takeover with console_lock() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 016/287] ACPICA: Avoid cache flush inside virtual machines Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 017/287] ALSA: jack: Access input_dev under mutex Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 018/287] drm/amd/pm: fix double free in si_parse_power_table() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 019/287] ath9k: fix QCA9561 PA bias level Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 020/287] media: venus: hfi: avoid null dereference in deinit Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 021/287] media: pci: cx23885: Fix the error handling in cx23885_initdev() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 022/287] media: cx25821: Fix the warning when removing the module Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 023/287] md/bitmap: dont set sb values if cant pass sanity check Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 024/287] scsi: megaraid: Fix error check return value of register_chrdev() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 025/287] drm/plane: Move range check for format_count earlier Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 026/287] drm/amd/pm: fix the compile warning Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 027/287] ipv6: Dont send rs packets to the interface of ARPHRD_TUNNEL Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 028/287] ASoC: dapm: Dont fold register value changes into notifications Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 029/287] mlxsw: spectrum_dcb: Do not warn about priority changes Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 030/287] ASoC: tscs454: Add endianness flag in snd_soc_component_driver Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 031/287] s390/preempt: disable __preempt_count_add() optimization for PROFILE_ALL_BRANCHES Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 032/287] dma-debug: change allocation mode from GFP_NOWAIT to GFP_ATIOMIC Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 033/287] ipmi:ssif: Check for NULL msg when handling events and messages Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 034/287] rtlwifi: Use pr_warn instead of WARN_ONCE Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 035/287] media: cec-adap.c: fix is_configuring state Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 036/287] openrisc: start CPU timer early in boot Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 037/287] nvme-pci: fix a NULL pointer dereference in nvme_alloc_admin_tags Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 038/287] ASoC: rt5645: Fix errorenous cleanup order Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 039/287] net: phy: micrel: Allow probing without .driver_data Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 040/287] media: exynos4-is: Fix compile warning Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 041/287] hwmon: Make chip parameter for with_info API mandatory Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 042/287] rxrpc: Return an error to sendmsg if call failed Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 043/287] eth: tg3: silence the GCC 12 array-bounds warning Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 044/287] ARM: dts: ox820: align interrupt controller node name with dtschema Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 045/287] PM / devfreq: rk3399_dmc: Disable edev on remove() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 046/287] fs: jfs: fix possible NULL pointer dereference in dbFree() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 047/287] ARM: OMAP1: clock: Fix UART rate reporting algorithm Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 048/287] fat: add ratelimit to fat*_ent_bread() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 049/287] ARM: versatile: Add missing of_node_put in dcscb_init Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 050/287] ARM: dts: exynos: add atmel,24c128 fallback to Samsung EEPROM Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 051/287] ARM: hisi: Add missing of_node_put after of_find_compatible_node Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 052/287] PCI: Avoid pci_dev_lock() AB/BA deadlock with sriov_numvfs_store() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 053/287] tracing: incorrect isolate_mote_t cast in mm_vmscan_lru_isolate Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 054/287] powerpc/xics: fix refcount leak in icp_opal_init() Greg Kroah-Hartman
2022-06-13 10:07 ` [PATCH 4.19 055/287] macintosh/via-pmu: Fix build failure when CONFIG_INPUT is disabled Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 056/287] RDMA/hfi1: Prevent panic when SDMA " Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 057/287] drm: fix EDID struct for old ARM OABI format Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 058/287] ath9k: fix ar9003_get_eepmisc Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 059/287] drm/edid: fix invalid EDID extension block filtering Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 060/287] drm/bridge: adv7511: clean up CEC adapter when probe fails Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 061/287] ASoC: mediatek: Fix error handling in mt8173_max98090_dev_probe Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 062/287] ASoC: mediatek: Fix missing of_node_put in mt2701_wm8960_machine_probe Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 063/287] x86/delay: Fix the wrong asm constraint in delay_loop() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 064/287] drm/mediatek: Fix mtk_cec_mask() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 065/287] drm/vc4: txp: Dont set TXP_VSTART_AT_EOF Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 066/287] drm/vc4: txp: Force alpha to be 0xff if its disabled Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 067/287] nl80211: show SSID for P2P_GO interfaces Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 068/287] spi: spi-ti-qspi: Fix return value handling of wait_for_completion_timeout Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 069/287] NFC: NULL out the dev->rfkill to prevent UAF Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 070/287] efi: Add missing prototype for efi_capsule_setup_info Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 071/287] HID: hid-led: fix maximum brightness for Dream Cheeky Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 072/287] HID: elan: Fix potential double free in elan_input_configured Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 073/287] spi: img-spfi: Fix pm_runtime_get_sync() error checking Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 074/287] ath9k_htc: fix potential out of bounds access with invalid rxstatus->rs_keyix Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 075/287] inotify: show inotify mask flags in proc fdinfo Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 076/287] fsnotify: fix wrong lockdep annotations Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 077/287] of: overlay: do not break notify on NOTIFY_{OK|STOP} Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 078/287] scsi: ufs: core: Exclude UECxx from SFR dump list Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 079/287] x86/pm: Fix false positive kmemleak report in msr_build_context() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 080/287] x86/speculation: Add missing prototype for unpriv_ebpf_notify() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 081/287] drm/msm/disp/dpu1: set vbif hw config to NULL to avoid use after memory free during pm runtime resume Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 082/287] drm/msm/dsi: fix error checks and return values for DSI xmit functions Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 083/287] drm/msm/hdmi: check return value after calling platform_get_resource_byname() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 084/287] drm/rockchip: vop: fix possible null-ptr-deref in vop_bind() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 085/287] x86: Fix return value of __setup handlers Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 086/287] irqchip/aspeed-i2c-ic: Fix irq_of_parse_and_map() return value Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 087/287] x86/mm: Cleanup the control_va_addr_alignment() __setup handler Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 088/287] drm/msm/mdp5: Return error code in mdp5_pipe_release when deadlock is detected Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 089/287] drm/msm/mdp5: Return error code in mdp5_mixer_release " Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 090/287] drm/msm: return an error pointer in msm_gem_prime_get_sg_table() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 091/287] media: uvcvideo: Fix missing check to determine if element is found in list Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 092/287] perf/amd/ibs: Use interrupt regs ip for stack unwinding Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 093/287] ASoC: mxs-saif: Fix refcount leak in mxs_saif_probe Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 094/287] regulator: pfuze100: Fix refcount leak in pfuze_parse_regulators_dt Greg Kroah-Hartman
2022-06-13 10:08 ` Greg Kroah-Hartman [this message]
2022-06-13 10:08 ` [PATCH 4.19 096/287] media: st-delta: Fix PM disable depth imbalance in delta_probe Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 097/287] media: exynos4-is: Change clk_disable to clk_disable_unprepare Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 098/287] media: pvrusb2: fix array-index-out-of-bounds in pvr2_i2c_core_init Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 099/287] media: vsp1: Fix offset calculation for plane cropping Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 100/287] Bluetooth: fix dangling sco_conn and use-after-free in sco_sock_timeout Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 101/287] m68k: math-emu: Fix dependencies of math emulation support Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 102/287] sctp: read sk->sk_bound_dev_if once in sctp_rcv() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 103/287] ext4: reject the commit option on ext2 filesystems Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 104/287] drm: msm: fix possible memory leak in mdp5_crtc_cursor_set() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 105/287] ASoC: wm2000: fix missing clk_disable_unprepare() on error in wm2000_anc_transition() Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 106/287] NFC: hci: fix sleep in atomic context bugs in nfc_hci_hcp_message_tx Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 107/287] rxrpc: Fix listen() setting the bar too high for the prealloc rings Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 108/287] rxrpc: Dont try to resend the request if were receiving the reply Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 109/287] soc: qcom: smp2p: Fix missing of_node_put() in smp2p_parse_ipc Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 110/287] soc: qcom: smsm: Fix missing of_node_put() in smsm_parse_ipc Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 111/287] PCI: cadence: Fix find_first_zero_bit() limit Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 112/287] PCI: rockchip: " Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 113/287] ARM: dts: bcm2835-rpi-zero-w: Fix GPIO line name for Wifi/BT Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 114/287] ARM: dts: bcm2835-rpi-b: Fix GPIO line names Greg Kroah-Hartman
2022-06-13 10:08 ` [PATCH 4.19 115/287] crypto: marvell/cesa - ECB does not IV Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 116/287] mfd: ipaq-micro: Fix error check return value of platform_get_irq() Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 117/287] scsi: fcoe: Fix Wstringop-overflow warnings in fcoe_wwn_from_mac() Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 118/287] firmware: arm_scmi: Fix list protocols enumeration in the base protocol Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 119/287] pinctrl: mvebu: Fix irq_of_parse_and_map() return value Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 120/287] drivers/base/node.c: fix compaction sysfs file leak Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 121/287] dax: fix cache flush on PMD-mapped pages Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 122/287] powerpc/8xx: export cpm_setbrg for modules Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 123/287] powerpc/idle: Fix return value of __setup() handler Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 124/287] powerpc/4xx/cpm: " Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 125/287] proc: fix dentry/inode overinstantiating under /proc/${pid}/net Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 126/287] tty: fix deadlock caused by calling printk() under tty_port->lock Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 127/287] Input: sparcspkr - fix refcount leak in bbc_beep_probe Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 128/287] powerpc/perf: Fix the threshold compare group constraint for power9 Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 129/287] powerpc/fsl_rio: Fix refcount leak in fsl_rio_setup Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 130/287] mailbox: forward the hrtimer if not queued and under a lock Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 131/287] RDMA/hfi1: Prevent use of lock before it is initialized Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 132/287] f2fs: fix dereference of stale list iterator after loop body Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 133/287] iommu/mediatek: Add list_del in mtk_iommu_remove Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 134/287] i2c: at91: use dma safe buffers Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 135/287] i2c: at91: Initialize dma_buf in at91_twi_xfer() Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 136/287] NFSv4/pNFS: Do not fail I/O when we fail to allocate the pNFS layout Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 137/287] video: fbdev: clcdfb: Fix refcount leak in clcdfb_of_vram_setup Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 138/287] dmaengine: stm32-mdma: remove GISR1 register Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 139/287] iommu/amd: Increase timeout waiting for GA log enablement Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 140/287] perf c2c: Use stdio interface if slang is not supported Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 141/287] perf jevents: Fix event syntax error caused by ExtSel Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 142/287] f2fs: fix deadloop in foreground GC Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 143/287] wifi: mac80211: fix use-after-free in chanctx code Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 144/287] iwlwifi: mvm: fix assert 1F04 upon reconfig Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 145/287] fs-writeback: writeback_sb_inodes:Recalculate wrote according skipped pages Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 146/287] netfilter: nf_tables: disallow non-stateful expression in sets earlier Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 147/287] ext4: fix use-after-free in ext4_rename_dir_prepare Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 148/287] ext4: fix bug_on in ext4_writepages Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 149/287] ext4: verify dir block before splitting it Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 150/287] ext4: avoid cycles in directory h-tree Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 151/287] tracing: Fix potential double free in create_var_ref() Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 152/287] PCI/PM: Fix bridge_d3_blacklist[] Elo i2 overwrite of Gigabyte X299 Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 153/287] PCI: qcom: Fix runtime PM imbalance on probe errors Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 154/287] PCI: qcom: Fix unbalanced PHY init " Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 155/287] dlm: fix plock invalid read Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 156/287] dlm: fix missing lkb refcount handling Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 157/287] ocfs2: dlmfs: fix error handling of user_dlm_destroy_lock Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 158/287] scsi: dc395x: Fix a missing check on list iterator Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 159/287] scsi: ufs: qcom: Add a readl() to make sure ref_clk gets enabled Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 160/287] drm/amdgpu/cs: make commands with 0 chunks illegal behaviour Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 161/287] drm/nouveau/clk: Fix an incorrect NULL check on list iterator Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 162/287] drm/bridge: analogix_dp: Grab runtime PM reference for DP-AUX Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 163/287] md: fix an incorrect NULL check in does_sb_need_changing Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 164/287] md: fix an incorrect NULL check in md_reload_sb Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 165/287] media: coda: Fix reported H264 profile Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 166/287] media: coda: Add more H264 levels for CODA960 Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 167/287] RDMA/hfi1: Fix potential integer multiplication overflow errors Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 168/287] irqchip/armada-370-xp: Do not touch Performance Counter Overflow on A375, A38x, A39x Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 169/287] irqchip: irq-xtensa-mx: fix initial IRQ affinity Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 170/287] mac80211: upgrade passive scan to active scan on DFS channels after beacon rx Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 171/287] um: chan_user: Fix winch_tramp() return value Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 172/287] um: Fix out-of-bounds read in LDT setup Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 173/287] iommu/msm: Fix an incorrect NULL check on list iterator Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 174/287] nodemask.h: fix compilation error with GCC12 Greg Kroah-Hartman
2022-06-13 10:09 ` [PATCH 4.19 175/287] hugetlb: fix huge_pmd_unshare address update Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 176/287] rtl818x: Prevent using not initialized queues Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 177/287] ASoC: rt5514: Fix event generation for "DSP Voice Wake Up" control Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 178/287] carl9170: tx: fix an incorrect use of list iterator Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 179/287] gma500: fix an incorrect NULL check on " Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 180/287] arm64: dts: qcom: ipq8074: fix the sleep clock frequency Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 181/287] phy: qcom-qmp: fix struct clk leak on probe errors Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 182/287] docs/conf.py: Cope with removal of language=None in Sphinx 5.0.0 Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 183/287] dt-bindings: gpio: altera: correct interrupt-cells Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 184/287] blk-iolatency: Fix inflight count imbalances and IO hangs on offline Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 185/287] phy: qcom-qmp: fix reset-controller leak on probe errors Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 186/287] RDMA/rxe: Generate a completion for unsupported/invalid opcode Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 187/287] MIPS: IP27: Remove incorrect `cpu_has_fpu override Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 188/287] md: bcache: check the return value of kzalloc() in detached_dev_do_request() Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 189/287] pcmcia: db1xxx_ss: restrict to MIPS_DB1XXX boards Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 190/287] staging: greybus: codecs: fix type confusion of list iterator variable Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 191/287] tty: goldfish: Use tty_port_destroy() to destroy port Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 192/287] usb: usbip: fix a refcount leak in stub_probe() Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 193/287] usb: usbip: add missing device lock on tweak configuration cmd Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 194/287] USB: storage: karma: fix rio_karma_init return Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 195/287] usb: musb: Fix missing of_node_put() in omap2430_probe Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 196/287] pwm: lp3943: Fix duty calculation in case period was clamped Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 197/287] rpmsg: qcom_smd: Fix irq_of_parse_and_map() return value Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 198/287] usb: dwc3: pci: Fix pm_runtime_get_sync() error checking Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 199/287] iio: adc: sc27xx: fix read big scale voltage not right Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 200/287] rpmsg: qcom_smd: Fix returning 0 if irq_of_parse_and_map() fails Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 201/287] coresight: cpu-debug: Replace mutex with mutex_trylock on panic notifier Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 202/287] soc: rockchip: Fix refcount leak in rockchip_grf_init Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 203/287] clocksource/drivers/riscv: Events are stopped during CPU suspend Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 204/287] rtc: mt6397: check return value after calling platform_get_resource() Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 205/287] serial: meson: acquire port->lock in startup() Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 206/287] serial: 8250_fintek: Check SER_RS485_RTS_* only with RS485 Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 207/287] serial: digicolor-usart: Dont allow CS5-6 Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 208/287] serial: txx9: " Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 209/287] serial: sh-sci: " Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 210/287] serial: st-asc: Sanitize CSIZE and correct PARENB for CS7 Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 211/287] serial: stm32-usart: Correct CSIZE, bits, and parity Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 212/287] firmware: dmi-sysfs: Fix memory leak in dmi_sysfs_register_handle Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 213/287] bus: ti-sysc: Fix warnings for unbind for serial Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 214/287] clocksource/drivers/oxnas-rps: Fix irq_of_parse_and_map() return value Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 215/287] s390/crypto: fix scatterwalk_unmap() callers in AES-GCM Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 216/287] net: ethernet: mtk_eth_soc: out of bounds read in mtk_hwlro_get_fdir_entry() Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 217/287] net: dsa: mv88e6xxx: Fix refcount leak in mv88e6xxx_mdios_register Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 218/287] modpost: fix removing numeric suffixes Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 219/287] jffs2: fix memory leak in jffs2_do_fill_super Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 220/287] ubi: ubi_create_volume: Fix use-after-free when volume creation failed Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 221/287] nfp: only report pause frame configuration for physical device Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 222/287] net/mlx5e: Update netdev features after changing XDP state Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 223/287] tcp: tcp_rtx_synack() can be called from process context Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 224/287] afs: Fix infinite loop found by xfstest generic/676 Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 225/287] tipc: check attribute length for bearer name Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 226/287] perf c2c: Fix sorting in percent_rmt_hitm_cmp() Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 227/287] mips: cpc: Fix refcount leak in mips_cpc_default_phys_base Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 228/287] tracing: Fix sleeping function called from invalid context on RT kernel Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 229/287] tracing: Avoid adding tracer option before update_tracer_options Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 230/287] i2c: cadence: Increase timeout per message if necessary Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 231/287] m68knommu: set ZERO_PAGE() to the allocated zeroed page Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 232/287] m68knommu: fix undefined reference to `_init_sp Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 233/287] NFSv4: Dont hold the layoutget locks across multiple RPC calls Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 234/287] video: fbdev: pxa3xx-gcu: release the resources correctly in pxa3xx_gcu_probe/remove() Greg Kroah-Hartman
2022-06-13 10:10 ` [PATCH 4.19 235/287] xprtrdma: treat all calls not a bcall when bc_serv is NULL Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 236/287] ata: pata_octeon_cf: Fix refcount leak in octeon_cf_probe Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 237/287] af_unix: Fix a data-race in unix_dgram_peer_wake_me() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 238/287] bpf, arm64: Clear prog->jited_len along prog->jited Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 239/287] net/mlx4_en: Fix wrong return value on ioctl EEPROM query failure Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 240/287] SUNRPC: Fix the calculation of xdr->end in xdr_get_next_encode_buffer() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 241/287] net: mdio: unexport __init-annotated mdio_bus_init() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 242/287] net: xfrm: unexport __init-annotated xfrm4_protocol_init() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 243/287] net: ipv6: unexport __init-annotated seg6_hmac_init() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 244/287] net/mlx5: Rearm the FW tracer after each tracer event Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 245/287] ip_gre: test csum_start instead of transport header Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 246/287] net: altera: Fix refcount leak in altera_tse_mdio_create Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 247/287] drm: imx: fix compiler warning with gcc-12 Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 248/287] iio: dummy: iio_simple_dummy: check the return value of kstrdup() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 249/287] lkdtm/usercopy: Expand size of "out of frame" object Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 250/287] tty: synclink_gt: Fix null-pointer-dereference in slgt_clean() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 251/287] tty: Fix a possible resource leak in icom_probe Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 252/287] drivers: staging: rtl8192u: Fix deadlock in ieee80211_beacons_stop() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 253/287] drivers: staging: rtl8192e: Fix deadlock in rtllib_beacons_stop() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 254/287] USB: host: isp116x: check return value after calling platform_get_resource() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 255/287] drivers: tty: serial: Fix deadlock in sa1100_set_termios() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 256/287] drivers: usb: host: Fix deadlock in oxu_bus_suspend() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 257/287] USB: hcd-pci: Fully suspend across freeze/thaw cycle Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 258/287] usb: dwc2: gadget: dont reset gadgets driver->bus Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 259/287] misc: rtsx: set NULL intfdata when probe fails Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 260/287] extcon: Modify extcon device to be created after driver data is set Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 261/287] clocksource/drivers/sp804: Avoid error on multiple instances Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 262/287] staging: rtl8712: fix uninit-value in r871xu_drv_init() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 263/287] serial: msm_serial: disable interrupts in __msm_console_write() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 264/287] kernfs: Separate kernfs_pr_cont_buf and rename_lock Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 265/287] md: protect md_unregister_thread from reentrancy Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 266/287] Revert "net: af_key: add check for pfkey_broadcast in function pfkey_process" Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 267/287] ceph: allow ceph.dir.rctime xattr to be updatable Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 268/287] drm/radeon: fix a possible null pointer dereference Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 269/287] modpost: fix undefined behavior of is_arm_mapping_symbol() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 270/287] nbd: call genl_unregister_family() first in nbd_cleanup() Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 271/287] nbd: fix race between nbd_alloc_config() and module removal Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 272/287] nbd: fix io hung while disconnecting device Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 273/287] nodemask: Fix return values to be unsigned Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 274/287] vringh: Fix loop descriptors check in the indirect cases Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 275/287] ALSA: hda/conexant - Fix loopback issue with CX20632 Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 276/287] cifs: return errors during session setup during reconnects Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 277/287] ata: libata-transport: fix {dma|pio|xfer}_mode sysfs files Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 278/287] mmc: block: Fix CQE recovery reset success Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 279/287] nfc: st21nfca: fix incorrect validating logic in EVT_TRANSACTION Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 280/287] nfc: st21nfca: fix memory leaks in EVT_TRANSACTION handling Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 281/287] ixgbe: fix bcast packets Rx on VF after promisc removal Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 282/287] ixgbe: fix unexpected VLAN Rx in promisc mode on VF Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 283/287] Input: bcm5974 - set missing URB_NO_TRANSFER_DMA_MAP urb flag Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 284/287] powerpc/32: Fix overread/overwrite of thread_struct via ptrace Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 285/287] md/raid0: Ignore RAID0 layout if the second zone has only one device Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 286/287] mtd: cfi_cmdset_0002: Move and rename chip_check/chip_ready/chip_good_for_write Greg Kroah-Hartman
2022-06-13 10:11 ` [PATCH 4.19 287/287] mtd: cfi_cmdset_0002: Use chip_ready() for write on S29GL064N Greg Kroah-Hartman
2022-06-13 11:56 ` [PATCH 4.19 000/287] 4.19.247-rc1 review Pavel Machek
2022-06-13 23:57 ` Guenter Roeck
2022-06-14 3:08 ` Shuah Khan
2022-06-14 6:32 ` Naresh Kamboju
2022-06-14 10:27 ` Sudip Mukherjee
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20220613094926.759497486@linuxfoundation.org \
--to=gregkh@linuxfoundation.org \
--cc=jpoimboe@kernel.org \
--cc=kaiwan.billimoria@gmail.com \
--cc=linux-kernel@vger.kernel.org \
--cc=peterz@infradead.org \
--cc=sashal@kernel.org \
--cc=stable@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox